classification
Title: Document value of st_ino on Windows
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: Alexander Nelson, gvanrossum, ned.deily, steve.dower
Priority: normal Keywords: patch

Created on 2018-02-19 22:14 by gvanrossum, last changed 2018-05-29 02:28 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5764 merged steve.dower, 2018-02-19 23:59
PR 7189 merged miss-islington, 2018-05-29 00:25
PR 7190 merged steve.dower, 2018-05-29 00:33
Messages (5)
msg312376 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2018-02-19 22:14
We received a report from a well-meaning security researcher who was confused by the non-zero and arbitrary value of st_ino in stat() results on Windows (where in Python 2 this was always zero). The researcher was worried that this was due to an uninitialized memory read. The actual cause is the way this field is filled with arbitary data:
https://github.com/python/cpython/blob/master/Python/fileutils.c#L758

Let's make sure this is documented properly for all versions where we still update the docs.
msg313069 - (view) Author: Alexander Nelson (Alexander Nelson) Date: 2018-02-28 21:25
Thank you for this fix.
msg317964 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-05-29 00:24
New changeset 3e51a3d5927c680d5410ff11ff8d5e5bb9ffb1e7 by Steve Dower in branch 'master':
bpo-32878: Adds documentation for st_ino on Windows (GH-5764)
https://github.com/python/cpython/commit/3e51a3d5927c680d5410ff11ff8d5e5bb9ffb1e7
msg317976 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-29 01:49
New changeset 78e14f8eb4b4a96d0766f2857c00de21d3303b17 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-32878: Adds documentation for st_ino on Windows (GH-5764) (#7189)
https://github.com/python/cpython/commit/78e14f8eb4b4a96d0766f2857c00de21d3303b17
msg317980 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-05-29 02:27
New changeset 325320d5f5a4480a6f4f92dcf86b9dbb7eb5c791 by Steve Dower in branch '3.6':
bpo-32878: Adds documentation for st_ino on Windows (GH-5764) (GH-7190)
https://github.com/python/cpython/commit/325320d5f5a4480a6f4f92dcf86b9dbb7eb5c791
History
Date User Action Args
2018-05-29 02:28:01steve.dowersetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.6, Python 3.7, Python 3.8
2018-05-29 02:27:15steve.dowersetmessages: + msg317980
2018-05-29 01:49:44ned.deilysetnosy: + ned.deily
messages: + msg317976
2018-05-29 00:33:51steve.dowersetpull_requests: + pull_request6825
2018-05-29 00:25:53miss-islingtonsetpull_requests: + pull_request6824
2018-05-29 00:24:39steve.dowersetmessages: + msg317964
2018-02-28 21:25:10Alexander Nelsonsetnosy: + Alexander Nelson
messages: + msg313069
2018-02-19 23:59:08steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request5542
2018-02-19 22:14:15gvanrossumcreate